Bug 1043330 - Existing OpenId user cannot save any setting from the Edit profile view
Summary: Existing OpenId user cannot save any setting from the Edit profile view
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic   
(Show other bugs)
Version: development
Hardware: Unspecified Unspecified
unspecified
urgent
Target Milestone: ---
: 3.3
Assignee: Patrick Huang
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-16 01:13 UTC by Ding-Yi Chen
Modified: 2014-03-20 05:47 UTC (History)
3 users (show)

Fixed In Version: 3.3.0-SNAPSHOT (20140116-1354)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 05:47:36 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ding-Yi Chen 2013-12-16 01:13:58 UTC
Description of problem:
The existing OpenId user cannot save any setting from the Edit profile view.


Version-Release number of selected component (if applicable):
Zanata 3.3.0-SNAPSHOT (20131216-1014)

How reproducible:
Always


Steps to Reproduce:
1. Log In as an existing Open Id user.
2. Click the Person Icon -> Settings
3. Click Action "Edit Profile"
4. Fill all the require form and Click Save.
5. Click Action "Edit Profile" again.

Actual results:
The fields remain empty.

Expected results:
The fields should show the values you just typed.


Additional info:

Comment 1 Patrick Huang 2014-01-15 00:37:09 UTC
Although the field is empty but the value is actually saved in database(except username)

I think we don't allow username change but this may be a given by Seam framework.

I will make the change so that those fields will be pre-filled by current values.

Comment 2 Patrick Huang 2014-01-15 05:05:47 UTC
https://github.com/zanata/zanata-server/pull/337

Comment 3 Ding-Yi Chen 2014-01-16 06:58:35 UTC
VERIFIED with commit a12921fa6912255d86ade8a044c1f19c238778ca

Comment 4 Sean Flanigan 2014-03-20 05:47:36 UTC
Closing VERIFIED bugs for Zanata server 3.3.2.


Note You need to log in before you can comment on or make changes to this bug.